tt_otype_opnum_callback_add(library call)

NAME
tt_otype_opnum_callback_add — return a callback if two opnums are equal

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_otype_opnum_callback_add(
const char *otid,
int opnum,
Tt_message_callback f);

DESCRIPTION

The tt_otype_opnum_callback_add function adds a callback that is automatically invoked when a message is delivered because it matched a pattern derived from a signature in the named otype with an opnum equal to the specified one. The callback is defined in Tt/tt_c.h - Tttt_c(5).

The otid argument is the identifier of the object type involved in this operation. The opnum argument is the opnum of the specified otype. The f argument is the message callback to be run.

RETURN VALUE

Upon successful completion, the tt_otype_opnum_callback_add function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_OTYPE
    The specified object type is not the name of an installed object type.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

APPLICATION USAGE

The tt_otype_opnum_callback_add function will only be called for messages delivered by virtue of matching handler signatures. The callback cannot be called for observer signatures because the observer ptype is not recorded in the incoming message.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_message_callback_add(3).